API Reference
DashboardGet API keyAPI key

Getting started

  • Introduction
  • Authentication
  • Errors & rate limits

Voice agents

WhatsApp agents

    • Overview
    • GETList accounts
    • GETGet account

Workspace

WhatsApp agentsWhatsApp accounts

Get account

Retrieves one connected WhatsApp number.

GET/v2/whatsapp/accounts/{id}

Authorization

  • Authorizationstringheaderrequired

    Bearer authentication header of the form Bearer <api_key>, where <api_key> is a key from Account Settings → API keys in your dashboard.

Path parameters

  • idstring (uuid)required

    The WhatsApp account's id.

Response

The WhatsApp account object.

  • idstring (uuid)

    WhatsApp account id.

  • waba_idstring

    Meta WhatsApp Business Account id.

  • phone_number_idstring

    Meta phone number id. Use it as an agent's set_inbound_whatsapp_number.

  • display_e164stringnullable

    The number in E.164 format.

  • statusstring

    Connection status, e.g. active.

  • modestring

    cloud_api or coexistence (number also used in the WhatsApp Business app).

    Allowed:cloud_apicoexistence
  • created_atstring (date-time)nullable

    When the number was connected.

  • updated_atstring (date-time)nullable

    When it was last changed.

Request
curl --request GET \
  --url 'https://api.tarangnow.com/v2/whatsapp/accounts/a9b8c7d6-e5f4-4a3b-9c2d-1e0f9a8b7c6d' \
  --header 'Authorization: Bearer <api_key>'
Response
{
  "id": "a9b8c7d6-e5f4-4a3b-9c2d-1e0f9a8b7c6d",
  "waba_id": "102938475610293",
  "phone_number_id": "109876543210987",
  "display_e164": "+918045678901",
  "status": "active",
  "mode": "cloud_api",
  "created_at": "2026-10-20T09:15:42.120Z",
  "updated_at": "2026-10-24T14:03:11.508Z"
}
PreviousList accountsNextWhatsApp leads overview